%define name	base
%define version	1.1.2
%define release	1mdk
%define webadminroot /var/www/html/admin

# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	Basic Analysis and Security Engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://base.secureideas.net/
Source0:	http://prdownloads.sourceforge.net/secureideas/%{name}-%{version}.tar.bz2
Patch0:		base-1.1.2-config.diff.bz2
Requires:	php-common mod_php php-mysql php-sockets adodb php-pear-Image_Graph
BuildArch:	noarch
Prefix:         %{webadminroot}
Provides:	acid
Obsoletes:	acid
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
BASE is the Basic Analysis and Security Engine. It is based on the
code from the Analysis Console for Intrusion Databases (ACID)
project.  This application provides a web front-end to query and
analyze the alerts coming from a SNORT IDS system. BASE is a web
interface to perform analysis of intrusions that snort has
detected on your network. It uses a user authentication and
role-base system, so that you as the security admin can decide
what and how much information each user can see.  It also has a
simple to use, web-based setup program for people not comfortable
with editing files directly.

%prep

%setup -q
%patch0 -p0

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/%{webadminroot}/%{name}
cp -aRf * %{buildroot}/%{webadminroot}/%{name}/

install -m0644 base_conf.php.dist %{buildroot}%{webadminroot}/%{name}/base_conf.php

cat > README.MDK << EOF
S E T U P  H O W T O
--------------------

There is two ways to configure %{name}-%{version}

1. As root edit the %{webadminroot}/%{name}/base_conf.php file (easier)

2. rm -f %{webadminroot}/%{name}/base_conf.php
   touch %{webadminroot}/%{name}/base_conf.php
   chown apache:apache %{webadminroot}/%{name} 
   chown apache:apache %{webadminroot}/%{name}/base_conf.php
   chmod 666 %{webadminroot}/%{name}/base_conf.php
   go to http://localhost/admin/base/
EOF

# cleanup
rm -rf %{buildroot}/%{webadminroot}/%{name}/docs

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/* README.MDK
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/base_conf.php
%{webadminroot}/%{name}

%changelog
* Sat May 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdk
- 1.1.2
- fix deps
- rediff P0

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-2mdk
- fix deps
- fix P0
- strip away annoying ^M

* Fri Nov 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-1mdk
- initial mandrake package
